sparkcrawlDocs

Create a reusable browser session (cookies kept across scrapes)

POST
/api/v1/sessions

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Request Body

application/json
  1. body
ttlMs?integer
Range60000 <= value <= 604800000

Response Body

New session metadata

application/json
  1. response
session?
Example Request
curl -X POST 'https://sparkcrawl.com/api/v1/sessions' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "session": {}}